# Uses of Class
org.apache.lucene.sandbox.search.MultiRangeQuery.RangeClause

Packages that use MultiRangeQuery.RangeClause
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of MultiRangeQuery.RangeClause in org.apache.lucene.sandbox.search

  Fields in org.apache.lucene.sandbox.search with type parameters of type MultiRangeQuery.RangeClause
  Modifier and Type
  Field
  Description
  `protected final List<MultiRangeQuery.RangeClause>`
  MultiRangeQuery.Builder.`clauses`
  Methods in org.apache.lucene.sandbox.search with parameters of type MultiRangeQuery.RangeClause
  Modifier and Type
  Method
  Description
  `MultiRangeQuery.Builder`
  MultiRangeQuery.Builder.`add(MultiRangeQuery.RangeClause clause)`
  Add a new clause to this `MultiRangeQuery.Builder`.
  Constructor parameters in org.apache.lucene.sandbox.search with type arguments of type MultiRangeQuery.RangeClause
  Modifier
  Constructor
  Description
  `protected`
  `MultiRangeQuery(String field, int numDims, int bytesPerDim, List<MultiRangeQuery.RangeClause> rangeClauses)`
  Expert: create a multidimensional range query with multiple connected ranges